# Function RxapObservableDataSource

- RxapObservableDataSource<Data>(
  metadata: ObservableDataSourceMetadata<Data>,
  className?: string,
  packageName?: string,
  ): (target: Constructor<ObservableDataSource<Data>>) => void

  #### Type Parameters

  - Data

  #### Parameters

  - metadata: ObservableDataSourceMetadata<Data>
  - className: string = 'ObservableDataSource'
  - packageName: string = '@rxap/data-source'

  #### Returns (target: Constructor<ObservableDataSource<Data>>) => void

  - Defined in packages/angular/data-source/src/lib/observable.data-source.ts:39